Reminder_Obat/urls.py
from django.urls import path

from . import views

app_name = 'Reminder_Obat'

urlpatterns = [
    path('', views.list_medicine, name='list_medicine'),
    path('add-medicine', views.add_medicine, name='add_medicine'),
    path('delete/<list_id>', views.delete, name='delete'),
    path('json', views.json, name='json'),
    # path('medicine-flutter', medicine_flutter, name='medicine-flutter')
]

co_ass/urls.py
from django.contrib import admin
from django.urls import include, path
# import Daily_Journal.urls as Daily_Journal
# import Authentication.urls as Authentication
# import Catatan_Kesehatan.urls as Catatan_Kesehatan
# import Reminder_Aktivitas.urls as Reminder_Aktivitas
# import Reminder_Makan_Minum.urls as Reminder_Makan_Minum
# import Reminder_Obat.urls as Reminder_Obat
# import Riwayat_SWAB.urls as Riwayat_SWAB

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('daily-journal/', include('Daily_Journal.urls')),
    path('authentication/', include('Authentication.urls')),
    path('health-records/', include('Catatan_Kesehatan.urls')),
    path('your-routine/', include('Reminder_Aktivitas.urls')),
    path('food-schedule/', include('Reminder_Makan_Minum.urls')),
    path('your-medicine/', include('Reminder_Obat.urls')),
    path('swab-records/', include('Riwayat_SWAB.urls')),
    
]

main/urls.py
from django.urls import path

from main.views import home, json_funct, list_feedback, fetch_post_feedback

app_name = 'main'

urlpatterns = [
    path('', home, name='home'),
    path('feedback', list_feedback, name='feedback'),
    path('json_function', json_funct, name='json_function'),
    path('fetch_feedback', fetch_post_feedback, name='fetch_feedback'),
]

Reminder_Obat/models.py
from django.db import models
from django.contrib.auth.models import User


# Create your models here.
class Medicine(models.Model):
    hari = models.CharField(max_length=30)
    due_time = models.TimeField(null=True, blank=True)
    time_now = models.DateTimeField(auto_now_add=True)
    obat = models.CharField(max_length=30)

    user = models.ForeignKey(User, on_delete=models.CASCADE, null=True) 

Reminder_Obat/forms.py
from django import forms
from .models import Medicine 

class MedicineForm(forms.ModelForm):
    class Meta:
        model = Medicine
        fields = ['hari', 'due_time', 'obat']

Reminder_Obat/views.py
from django.shortcuts import render, redirect
from django.http.response import HttpResponse
from django.http import JsonResponse
from django.core import serializers
from .models import Medicine
from .forms import MedicineForm
from django.contrib.auth.decorators import login_required
from django.views.decorators.csrf import csrf_exempt
# Create your views here.

@login_required(login_url='Authentication:login')
def add_medicine(request):
    form = MedicineForm()
    if request.is_ajax():
        form = MedicineForm(request.POST)
        if form.is_valid():
            pick_user = request.user
            new_form = form.save(commit=False)
            new_form.user = pick_user
            new_form.save()
            return JsonResponse({
                'msg': 'Success'
            })
            
    return render(request, "reminder-add-obat.html", {"medicine":form})

@login_required(login_url='Authentication:login')
def list_medicine(request):
    pick_user = request.user
    data = []
    try:
        data = Medicine.objects.filter(user=pick_user)
       
    except:
        data = []

    return render(request, 'reminder-obat.html', {"medicine":data})

@csrf_exempt
def medicine_flutter(request):
    pick_user = request.user
    data = []

    try:
        data = Medicine.objects.filter(user=pick_user)
       
    except:
        data = []
    data_on = serializers.serialize('json', data)
    return HttpResponse(data_on, content_type="application/json")

@login_required(login_url='Authentication:login')
def delete(request, list_id):
    item = Medicine.objects.get(pk=list_id)
    item.delete()
    return redirect("/your-medicine/")

@login_required(login_url='Authentication:login')
def json(request):
    obat = Medicine.objects.all()
    jsonMedicine = serializers.serialize('json', obat)
    return HttpResponse(jsonMedicine, content_type="application/json")

Reminder_Obat/templates/reminder-add-obat.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Reminder Obat - Add</title>
<style>
	
.container {
	display: flex;
	flex-direction: column;
}

.input-field {
	width: 50%;
}
    .bodySatu{
      display: flex;
      height: 100vh;
      justify-content: center;
      align-items: center;
      padding: 50px;
      background: #060C23;
    }

    .containerSatu{
      max-width: 300px;
      width: 80%;
      background: #E8F7FC;
      padding: 30px 15px;
      border-radius: 5px;
      align-items: center;
    }
  
    .containerSatu .title{
      display: flex;
      font-size: 25px;
      font-weight: 500;
      position: relative;
      max-width: 500px;
      width: 70%;
      padding-bottom: 20px 0px;
      padding-top: 70px 0px;
      border-radius: 5px;
      padding-left: 20px;
    }
    .containerSatu .title::before{
      display: flex;
      content: '';
      position: absolute;
      left: 20px;
      bottom: 0;
      height: 3px;
      width: 60px;
      background: linear-gradient(135deg, #f9e1e0, #060C23);
    }
    .containerSatu form .hari{
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      margin: 10px 0 -10px 0;
      padding-left: 20px;
    }
    .containerSatu form .user-details{
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      margin: 20px 0 12px 0;
      padding-left: 20px;
    }
    form .user-details .input-box{
      margin-bottom: 15px;
      width: calc(100%/2);
    }
    .user-details .input-box input details{
      display: block;
      font-weight: 500;
      margin-bottom: 5px;
    }
    .user-details .input-box input{
      height: 30px;
      width: 90%;
      outline: none;
      border-radius: 5px;
      border: 1px solid #ccc;
      padding-left: 15px;
      font-size: 16px;
      border-bottom-width: 2px;
      transition: all 0,3s ease;
    }
    .user-details .input-box input:focus,
    .user-details .input-box input:valid{
      border-color:#060C23
    }
    form .button{
      height: 45px;
      margin: 10px 0;
      padding-left: 15px;
    }
    form .button input{
      height: 70%;
      width: 90%;
      outline: none;
      color: #fff;
      border: none;
      font-size: 18px;
      font-weight: 500;
      border-radius: 5px;
      letter-spacing: 1px;
      background: linear-gradient(135deg, #9fccff, #060C23);
    }
</style>

{% endblock meta %}

{% block content %}

<header class="header-area header-sticky wow slideInDown">
  <div class="container">
    <div class="row">
      <nav class="main-nav"> -->
        <!-- ***** Logo Start ***** -->
        <a href="{% url 'main:home' %}" class="logo">
          <img src="{%static 'assets/images/logo.png' %}" alt="covid assistant">
        </a> 
        <!-- ***** Logo End ***** -->

        <!-- ***** Menu Start ***** -->
          <ul class="nav">
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Home</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">About Us</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Features</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Feedback</a></li>
            <li class="scroll-to-section"><a href="#footer">Contact Us</a></li>
            
            <li style="color: #fff; padding-top: 8px;"><i class="fa fa-sign-out" aria-hidden="true"></i> Hi, {{ user.get_username }}</li>
            <li class="scroll-to-section"><div class="border-first-button"><a href="/authentication/log-out">Logout</a></div></li> 
          </ul>         
        <!-- ***** Menu End ***** -->
        
      </nav>
    </div>
  </div>
</header>

<div class="main-banner">
	<div class="card-banner">
	  <div class="container">
		<div class="row">
		  <div class="col-lg-12">
			<div class="row">
			  <div class="col-lg-6 align-self-center">
				<div class="left-content show-up header-text wow fadeInLeft" data-wow-duration="1s" data-wow-delay="1s">
				  <div class="row">
					<div class="col-lg-12">
					  <h6>YOUR MEDICINE</h6>
					  <h2>Add Reminder</h2>
					</div>
					<div class="containerSatu" style="max-width:60%">
            <div class="title">Add Your Medicine</div>
        <form action = "" method = "POST" id="form">
            {% csrf_token %}
            
            <div class="user-details">
              <div class="input-box">
                <span class="details" for="hari">Tanggal :</span><br>
                <input type="date" id="hari" name="hari"><br>
              </div>
              <div class="input-box">
                <span class="details" for="due_time">Jam :</span><br>
                <input type="time" id="due_time" name="due_time"><br>
              </div>
              
              <div class="input-box">
                <span class="details" for="obat">Obat :</span><br>
                <input type="text" id="obat" name="obat"><br>
              </div>
            </div>
            <div class="button"><br>
              <input type="submit" value="Tambahkan">
            </div>
            <a href="/your-medicine">
            <div class="button"><br>
              <input type="button" value="Summary">
            </div>
            </a>
        </form>
      </div>
				  </div>
				</div>
			  </div>
			  <div class="col-lg-5">
				<div class="right-image wow fadeInRight">
				  <img src="{%static 'assets/images/Your Medicine2.png' %}" alt="">
				</div>
			  </div>
			</div>
		  </div>
		</div>
  	  </div>
   </div>
 </div>

 <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script>
    const form = document.getElementById('form');
    form.addEventListener("submit", handleSubmit);

    function handleSubmit(e) {
        e.preventDefault();
        $.ajax({
        type: 'POST',
        url: "{% url 'Reminder_Obat:add_medicine' %}",
        data: $("#form").serialize(),
        dataType: 'json',
        success: function (data) {
            if (data.msg === 'Success') {
            alert('Reminder Obat Anda berhasil ditambahkan!');
            }
        }
        })
    }
</script>

<footer id= "footer" class="footer">
  <div id= "container-footer" class="container">
    <div class="row">
      <div class="footer-col">
        <h4>COVID ASSISTANT</h4>
        <ul>
          <!-- masih belum bisa di klik -->
          <li style="list-style: none;"><a href="{% url 'main:home' %}">About Us</a></li>
          <li style="list-style: none;"><a href="{% url 'main:home' %}">Fitur Kami</a></li>
          <li style="list-style: none;"><a href="{% url 'main:home' %}">Tim Kami</a></li>
        </ul>
      </div> 
      <div class="footer-col">
        <h4>CONTACT US</h4>
        <ul>
          <li style="list-style: none;"><a style="color: #bbbbbb;"><i id class="fa fa-envelope"></i> covid.assistant@coass.com</a></li>
          <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-phone"></i> 021-9272-8161</a></li>
        </ul>
      </div>
      <div class="footer-col">
        <h4>OUR SOCIAL MEDIA</h4>
        <ul>
          <li style="list-style: none;"><a style="color: #bbbbbb;"><i id class="fa fa-facebook"></i> Covid Assistant</a></li>
          <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-instagram"></i> @covid_assistant</a></li>
          <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-twitter"></i> @covid_assistant</a></li>
        </ul>
      </div>
    </div>
  </div>
</footer>

{% endblock content %}

Reminder_Obat/templates/reminder-obat.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Reminder Obat</title>
<style>
  .card {
    transition: 0.5 ease;
    cursor: pointer;
  }
  .card:hover {
    transform: scale(1.2);
  }
  h6,h5,h4,h3,h2,h1 {
    cursor: pointer;
  }
  h6,h1:hover::after {
    text-shadow: 0 0 10px white;
  }

</style>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<script>
  $(document).ready(function() {
    $("button").click(function(){
      $(".card-container").empty();
      var medicine = document.getElementById("hari").value;
      $("#hari").val("");
  
      $.ajax({
        url: "/your-medicine/json",
        success: function(result) {
          for(i=0; i<result.length; i++){
            var data = result[i].fields;
            if(medicine == data.hari){
              $(".card-container" ).append(
                '<div style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;">'+
                '<div class="card" style="width: 25%; background-color: rgb(13, 23, 63); margin-bottom: 2cm; box-shadow: 5px 5px 15px rgb(0, 0, 0, 9); border-radius: 18px;"><div class="card-body">'+
                  '<h3 class="card-title" style="color: white; text-align: center">'+'Tanggal '+ data.hari+'</h3>'+
                  '<hr style="color: white;">'+
                  '<p class="card-text" style="color: white;text-align: center;">'+'Obat : '+ data.obat+'</p>'+
                  '<p class="card-text" style="color: white;text-align: center;">'+'Jam : '+ data.due_time+'</p>'+
                  '</div></div></div>');
            }
          }
        }
      });
    }); 
  });
  </script>
{% endblock meta %}

{% block content %}

<header class="header-area header-sticky wow slideInDown">
  <div class="container">
    <div class="row">
      <nav class="main-nav"> -->
        <!-- ***** Logo Start ***** -->
        <a href="{% url 'main:home' %}" class="logo">
          <img src="{%static 'assets/images/logo.png' %}" alt="covid assistant">
        </a> 
        <!-- ***** Logo End ***** -->

        <!-- ***** Menu Start ***** -->
          <ul class="nav">
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Home</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">About Us</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Features</a></li>
            <li class="scroll-to-section"><a href="{% url 'main:home' %}">Feedback</a></li>
            <li class="scroll-to-section"><a href="#footer">Contact Us</a></li>
            
            <li style="color: #fff; padding-top: 8px;"><i class="fa fa-sign-out" aria-hidden="true"></i> Hi, {{ user.get_username }}</li>
            <li class="scroll-to-section"><div class="border-first-button"><a href="/authentication/log-out">Logout</a></div></li> 
          </ul>         
        <!-- ***** Menu End ***** -->
        
      </nav>
    </div>
  </div>
</header>

<div class="main-banner">
	<div class="card-banner">
	  <div class="container">
		<div class="row">
		  <div class="col-lg-12">
			<div class="row">
			  <div class="col-lg-6 align-self-center">
				<div class="left-content show-up header-text wow fadeInLeft" data-wow-duration="1s" data-wow-delay="1s">
				  <div class="row">
					<div class="col-lg-12">
					  <h6>COVID ASSISTANT</h6>
					  <h2>Your Medicine</h2>
                      <p>Your Medicine merupakan salah satu fitur yang ada di website Covid Assistant ini. Fitur ini berfungsi untuk membuat jadwal konsumsi obat tiap harinya.</p>
					</div>
                    <div class="col-lg-12"> 
                        <div style="padding-bottom: 10px; margin-bottom: 10px;" class="border-first-button scroll-to-section">
                          <a style="padding-bottom: 10px;" href="#ringkasan"> Summary</a>
                          <a style="padding-bottom: 10px;" href="/your-medicine/add-medicine"> Add </a>
                        </div>
                      </div>
				  </div>
				</div>
			  </div>
			  <div class="col-lg-5">
				<div class="right-image wow fadeInRight">
				  <img src="{%static 'assets/images/Your Medicine2.png' %}" alt="">
				</div>
			  </div>
			</div>
		  </div>
		</div>
  	  </div>
   </div>
 </div>


<h1 id="ringkasan"></h1>
  <div class="container-fluid" style="background-color: #E8F7FC;">
    <div class="col-lg-12" style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center; padding-top: 100px; padding-bottom: 70px;">
      <div style="font-family: 'Poppins'; text-align: center;" class="section-heading  wow fadeInDown" >
        <h6 style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;">COVID ASSISTANT</h6>
        <h4 style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;"> Your Medicines Summary</h4>
        <p style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center; color: rgb(13, 23, 63); font-family: 'Poppins';" >Pilih tanggal untuk melihat summary anda</p>
        <select style="width: 40%; border-radius: 5px; background-color: white; border-left: rgb(13, 23, 63); box-shadow: 5px 5px 10px rgb(0, 0, 0, 9);" class="pilihhari" id="hari" name="hari">
          <option id="placeholder" value="" disable selected hidden>Pilih Tanggal</option>
          {% for i in medicine %}
          <option value="{{i.hari}}">Tanggal {{i.hari}}</option>
          {% endfor %}
        </select>
        <button style="color:white; width: 20%; background:rgb(13, 23, 63); box-shadow: 5px 5px 10px rgb(0, 0, 0, 9); border-radius: 15px; " type="button" class="tampilkan">Search</button>
      </div>
    </div>
  </div>

  <div class="card-container">
    <div style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;">
  <a style="color:rgb(13, 23, 63); padding-bottom: 50px;" href="#Semuaringkasan"> All Summary</a>
    </div>
  </div>

  <h1 id="Semuaringkasan"></h1>
<div class="container-fluid" style="background-color: #E8F7FC;">
    <div class="col-lg-12" style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center; padding-top: 100px; padding-bottom: 70px;">
      <div style="font-family: 'Poppins'; text-align: center;" class="section-heading  wow fadeInDown" >
        <h6 style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;">COVID ASSISTANT</h6>
        <h4 style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;"> All Your Medicines Summary</h4>
      </div>
    </div>
  </div>

  <div style="display: flex; flex-wrap:wrap; gap: 50px;justify-content: center;">
    {% for i in medicine %}
    <div class="card" style="width: 25%; background-color: rgb(13, 23, 63); margin-bottom: 2cm; box-shadow: 5px 5px 15px rgb(0, 0, 0, 9); border-radius: 18px;">
      <div class = "card-body">
        <h1 class="card-title" style="color: white; text-align: center"> {{ i.obat }} </h1>
        <hr style="color: white;">
        <h4 class="card-text" style="color: white;text-align: center;">{{ i.hari }}</h4>
        <hr style="color: white;">
        <h4 class="card-text" style="color: white;text-align: center;">{{ i.due_time }}</h4>
        <hr style="color: white;">
        <p class="card-text" style="color: white;text-align: center;">ditambahkan pada {{ i.time_now }}</p>
        <hr style="color: white;">
        <div class="col-lg-12"> 
          <div style="padding-bottom: 10px; margin-bottom: 10px;" class="border-first-button scroll-to-section-center" align="center">
                      <a style="padding-bottom: 10px;" href="{% url 'Reminder_Obat:delete' i.id %}"> Delete </a>
          </div>
          </div>
      </div>
     </div>
    {% endfor %}
  </div>

  <footer id= "footer" class="footer">
    <div id= "container-footer" class="container">
      <div class="row">
        <div class="footer-col">
          <h4>COVID ASSISTANT</h4>
          <ul>
            <!-- masih belum bisa di klik -->
            <li style="list-style: none;"><a href="{% url 'main:home' %}">About Us</a></li>
            <li style="list-style: none;"><a href="{% url 'main:home' %}">Fitur Kami</a></li>
            <li style="list-style: none;"><a href="{% url 'main:home' %}">Tim Kami</a></li>
          </ul>
        </div> 
        <div class="footer-col">
          <h4>CONTACT US</h4>
          <ul>
            <li style="list-style: none;"><a style="color: #bbbbbb;"><i id class="fa fa-envelope"></i> covid.assistant@coass.com</a></li>
            <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-phone"></i> 021-9272-8161</a></li>
          </ul>
        </div>
        <div class="footer-col">
          <h4>OUR SOCIAL MEDIA</h4>
          <ul>
            <li style="list-style: none;"><a style="color: #bbbbbb;"><i id class="fa fa-facebook"></i> Covid Assistant</a></li>
            <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-instagram"></i> @covid_assistant</a></li>
            <li style="list-style: none;"><a style="color: #bbbbbb;" ><i class="fa fa-twitter"></i> @covid_assistant</a></li>
          </ul>
        </div>
      </div>
    </div>
</footer>

{% endblock content %}